'use strict';

var _botkit = require('botkit');

var _botkit2 = _interopRequireDefault(_botkit);

var _elizabot = require('elizabot');

var _elizabot2 = _interopRequireDefault(_elizabot);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var controller = _botkit2.default.slackbot({ debug: false });
var bot = controller.spawn({ token: process.env.token }).startRTM();

controller.hears(["deploy"], 'direct_message, direct_mention', function (bot, message) {
  bot.startConversation(message, function (err, convo) {
    convo.ask('Are you sure?', [{
      pattern: bot.utterances.yes,
      callback: function callback(res, convo) {
        convo.say("Starting deployment...");
        convo.next();
      }
    }, {
      pattern: bot.utterances.no,
      callback: function callback(res, convo) {
        convo.say("Cancel deployment");
        convo.next();
      }
    }, {
      default: true,
      callback: function callback(res, convo) {
        convo.repeat();
        convo.next();
      }
    }]);
  });
});

controller.hears(["Hello"], 'direct_message, direct_mention', function (bot, message) {
  var eliza = new _elizabot2.default();
  var askEliza = function askEliza(res, convo) {
    convo.ask(eliza.transform(res.text), askEliza);
    convo.next();
  };
  bot.startConversation(message, function (err, convo) {
    convo.ask(eliza.getInitial(), askEliza);
  });
});