import Botkit from 'botkit'
import ElizaBot from 'elizabot'

const controller = Botkit.slackbot({ debug: false });
const bot = controller.spawn({ token: process.env.token }).startRTM();

controller.hears(
  ["deploy"], 
  'direct_message, direct_mention', 
  (bot, message) => {
    bot.startConversation(message, (err, convo) => {
      convo.ask('Are you sure?', [{
        pattern: bot.utterances.yes,
        callback: (res, convo) => {
          convo.say("Starting deployment...");
          convo.next();
        }
      }, {
        pattern: bot.utterances.no,
        callback: (res, convo) => {
          convo.say("Cancel deployment");
          convo.next();
        }
      }, {
        default: true,
        callback: (res, convo) => {
          convo.repeat();
          convo.next();
        }
      }]);
    });
  }
);

controller.hears(
  ["Hello"], 
  'direct_message, direct_mention', 
  (bot, message) => {
    const eliza = new ElizaBot();
    const askEliza = (res, convo) => {
      convo.ask(eliza.transform(res.text), askEliza);
      convo.next();
    }
    bot.startConversation(message, (err, convo) => {
      convo.ask(eliza.getInitial(), askEliza);
    });
  }
);
